## visad.cluster
Class RemoteAgentContactImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  visad.cluster.RemoteAgentContactImpl

All Implemented Interfaces:
  Remote, RemoteAgentContact, Serializable

public class RemoteAgentContactImpl
extends UnicastRemoteObject
implements RemoteAgentContact

RemoteAgentContactImpl is the class on nodes for RemoteClientAgent to communicate to NodeAgent.

See Also:
  Serialized Form

Field Summary
`(package private) NodeAgent` `agent`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`RemoteAgentContactImpl(NodeAgent ag)`

Method Summary
`void` `sendToNode(Serializable message)`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### agent

    NodeAgent agent

Constructor Detail

### RemoteAgentContactImpl

    public RemoteAgentContactImpl(NodeAgent ag)
                           throws RemoteException

Method Detail

### sendToNode

    public void sendToNode(Serializable message)
                    throws RemoteException

  Specified by:
    `sendToNode` in interface `RemoteAgentContact`
  Throws:
    `RemoteException`